#include <bits/stdc++.h>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    double p[n];
    bool s=true;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
        if(s==true and i>0)
        {
            if(a[i]!=a[i-1])
            {
                s=false;
            }
        }
    }

    if(s==true)
    {
        sort(p,p+n);
        int zn=n;
        double nv=0;
        for(int i=0;i<n;i++)
        {
            p[i]=p[i]*zn;
            if(nv<p[i])
            {
                nv=p[i];
            }
            zn--;
        }
        cout<<(a[0]*nv)/100;
    }

    else
    {
        double msum=0;
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<n;j++)
            {
                if(p[i]<p[j])
                {
                    swap(p[i],p[j]);
                    swap(a[i],a[j]);
                }
            }
        }
        for(int i=0;i<=n;i++)
        {
            double sum=0;
            for(int j=i;j<n;j++)
            {
                double d=p[i]/100.00;
                sum=sum+(a[j]*d);
                //cout<<a[j]<<" "<<p[i]<<" "<<(a[j])*d<<endl;
            }
            if(msum<sum)
            {
                msum=sum;
            }
        }
        printf("%f",msum);
    }

    return 0;
}